--- title: "Temporary domain view" slug: "analytics-cloudsearch-gettempdomain" updated: 2026-09-17T09:48:05Z published: 2026-09-17T09:48:05Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-gettempdomain" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Temporary domain view Cloud Search supports [create temporary Domain](/docs/en/analytics-cloudsearch-createtempdomain) before the actual creation of a domain. View the temporary domain created. ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain/{name} ``` ## Requests ### Request parameters | Parameter name | Required | Type | Service limits | Description | | --- | --- | --- | --- | --- | | name | Yes | string | | Existing temporary Domain name | ## Responses | Field name | Type | Description | Note | | --- | --- | --- | --- | | name | string | Domain name | | | description | string | Domain description | | | type | string | Container type | small, medium, large, xlarge, xxlarge, xxxlarge | | indexerCount | number | Number of containers for indexing | | | searcherCount | number | Number of containers for searches | | | createdDate | string | Domain creation time | | | updatedDate | string | Last update time | | | schema.document | [Schema](/docs/en/common-apidatatype-csschema) | Search settings | | ### Response status | HTTP Status | Desc | | --- | --- | | 200 | OK (View complete) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Examples ### Request examples ``` GET https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/tempdomain/pet GET /CloudSearch/real/v1/tempdomain/pet HTTP/1.1 Host:cloudsearch.apigw.ntruss.com x-ncp-apigw-signature-v2: +HqBAleXOJAmUidk7xpm7Na3+KzYBkb/iCa1opA7e3E= x-ncp-apigw-timestamp: 1545872768739 x-ncp-iam-access-key: teGTwtcSEGA7fu28BGGi ``` ### Response examples ``` { "name": "pet", "memberNo": "2540166", "description": "search engine for pet", "type": "large", "indexerCount": 1, "searcherCount": 1, "schema": { "document": { "primarySectionName": "petid", "sections": [ { "name": "petid", "docProperties": [ { "type": "string", "name": "dp_petid" } ] }, { "name": "type", "docProperties": [ { "type": "string", "name": "dp_type" } ] }, { "name": "name", "docProperties": [ { "type": "string", "name": "dp_name" } ] }, { "name": "age", "docProperties": [ { "type": "int8", "name": "dp_age" } ] }, { "name": "birth", "docProperties": [ { "type": "string", "name": "dp_birth" } ] } ], "indexes": [ { "name": "petid_name", "documentTermWeight": "sum_wgt", "buildInfos": [ { "name": "index_build_0", "sections": [ "petid" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ] }, { "name": "index_build_1", "sections": [ "name" ], "sectionTermWeight": "1.0 * stw_2p(tf, 0.5, 0.25, 0., length / 128.0)", "indexProcessors": [ { "type": "hanaterm", "method": "sgmt", "option": "+korea +josacat +eomicat" } ] } ] } ] } }, "createdDate": "2018-12-27T00:48:10.685Z", "updatedDate": "2018-12-27T00:48:10.685Z" } ```